<!--<?php
defined('W_P') or exit('Forbidden');
$author = $winduid == $uid ? '我' :  $userdb['username'];
if(!in_array($type,array('fav','my','re'))){print <<<EOT
-->
<div class="page_title"><a href="#anch-end" id="anch-01" accesskey="1"><img alt="向下" src="$wapImages/x.gif" /></a><em><a href="index.php?a=myhome&uid=$uid">個人空間</a></em>&#8250;<strong>我的論壇</strong></div>
<div class="notice"><em><a href="index.php?a=myfav&uid=$uid">我的論壇</a> &#8226; <a href="index.php?a=mybbs&uid=$uid">個人資料</a> &#8226; <a href="index.php?a=myphone&uid=$uid">手機信息</a></em></div>
<div class="page_content">

<div class="block"> <strong>{$author}的主題</strong> <br />
<ul class="dot_list">
<!--
EOT;
foreach($myArticles as $val){print <<<EOT
-->
	<li><a href="$val[url]">$val[subject]</a>
<!--
EOT;
if($val[digest]){print <<<EOT
-->
	[精]
<!--
EOT;
}if($val[ifupload]==1){print <<<EOT
-->
	[圖]
<!--
EOT;
}print <<<EOT
-->
	</li>
<!--
EOT;
}print <<<EOT
-->
</ul>
<a href="index.php?a=myfav&type=my&uid=$uid">更多&raquo;</a></div>

<div class="block"> <strong>{$author}的回復</strong><br />
<ul class="dot_list">
<!--
EOT;
foreach($myReplaies as $val){print <<<EOT
-->
	<li><a href="$val[url]">$val[subject]</a>
<!--
EOT;
if($val[digest]){print <<<EOT
-->
	[精]
<!--
EOT;
}if($val[ifupload]==1){print <<<EOT
-->
	[圖]
<!--
EOT;
}print <<<EOT
-->
	</li>
<!--
EOT;
}print <<<EOT
-->
</ul>
<a href="index.php?a=myfav&type=re&uid=$uid">更多&raquo;</a></div>
<!--
EOT;
if($uid == $winduid){
print <<<EOT
-->
<div class="block"> <strong>{$author}收藏的主題</strong><br />
<ul class="dot_list">
<!--
EOT;
foreach($myFavThreads as $val){print <<<EOT
-->
    <li><a href="$val[url]">$val[subject]</a>
<!--
EOT;
if($val[digest]){print <<<EOT
-->
	[精]
<!--
EOT;
}if($val[ifupload]==1){print <<<EOT
-->
	[圖]
<!--
EOT;
}print <<<EOT
-->
    </li>
<!--
EOT;
}print <<<EOT
-->
</ul>
<a href="index.php?a=myfav&type=fav&uid=$uid">更多&raquo;</a></div>
<!--
EOT;
}include printWAP('userbanner');print <<<EOT
-->
</div>
<!--
EOT;
}else{
print <<<EOT
-->
<div class="page_title"><a href="#anch-end" id="anch-01" accesskey="1"><img alt="向下" src="$wapImages/x.gif" /></a><em><a href="index.php?a=myhome&uid=$uid">個人空間</a></em>&#8250;<strong>
<!--
EOT;
if($type == 'fav'){print <<<EOT
-->
	{$author}收藏的主題
<!--
EOT;
}elseif ($type == 'my'){print <<<EOT
-->
	{$author}的主題
<!--
EOT;
}elseif ($type == 're'){print <<<EOT
-->
	{$author}的回復
<!--
EOT;
}print <<<EOT
-->
</strong></div>
<div class="page_content">
  <div class="block">
<!--
EOT;
if (count($mydata)) {
foreach($mydata as $key=>$val){
print <<<EOT
-->
<a href="{$val[url]}">{$val[subject]}</a>
<!--
EOT;
if($val[digest]){print <<<EOT
-->
	[精]
<!--
EOT;
}if($val[ifupload]==1){print <<<EOT
-->
	[圖]
<!--
EOT;
}print <<<EOT
-->
<br />
<!--
EOT;
}} else {
$returnUrl = $from == "index" ? "index.php" : "index.php?a=myhome&uid=$uid";
print <<<EOT
-->
查無數據,<a href="$returnUrl">返回</a>
<!--
EOT;
}print <<<EOT
-->
</div>
$pages
<!--
EOT;
include printWAP('userbanner');print <<<EOT
-->
</div>
<!--
EOT;
}?>-->